Espace privé

Si vous souhaitez créer un profil pour ce site, merci de m'envoyer votre Mél et votre pseudo en remplissant le formulaire joint.

Mes plugins

Fermer editoPlus

Fermer Sesame

Fermer infoPratique

Fermer twitterLink

Fermer Fork modo-1

Fermer formulaire

Fermer Docuthèque

Fermer CPLcommun

Fermer FORK cplMailBatch

Site de test

Vous pouvez tester mes plugins (y compris la partie admin) sur mon site de test.

Divers
Recherche



Lettre d'information
Pour avoir des nouvelles de ce site, inscrivez-vous à notre Lettre d'information.
Captcha
Recopier le code :
35 Abonnés
RSS
Visites

   visiteurs

   visiteurs en ligne

C'est ici que je vis

France

Département de l'HéraultPouzols

Archives
Lien twitter
forum - plugin editoPlus - Sujet n°156

La Charte du Forum - La Charte du Forum

forum - forum
plugin editoPlus - plugin editoPlus


actif  Sujet n° 156  Install EditoPlus 464 beta2

le 29/03/2015 - 21h07
par kitkatryn

kitkatryn

8 messages

Bonsoir Christian,

J'essaye d'installer EditoPlus dans sa version 464 beta2.
J'ai  un message d'erreur en admin qui bloque l'affichage des icônes de plugins.
C'est un site en construction pas encore visible.
 
Citation : Message_d_erreur

Cannot redeclare AfficheCommentHtml() (previously declared in /public_html/nouveau/admin/plugins/editoPlus/plugin.inc:89) in /public_html/nouveau/admin/plugins/editoPlus/plugin.inc on line 92

 
En regardant un peu mieux ce que j'installe, je m'aperçois que si j'installe et Edito+ 464 beta2 et cpl-commun-8.0, ya un fichier qui porte le même nom à la même adresse mais n'a pas la même version : plugins/CPL_commun/CPL-fonctions.inc

Dans ton tableau de compatibilité, je vois une version 8.1 de cpl commun, mais je ne la trouve pas en téléchargement.

J'en viens donc à déduire que la version du fichier à double personnalité (CPL-fonctions.inc) correspondant à 8.1 est celle livrée avec édito plus 464 beta2. Et qu'il convient donc d'installer d'abord cpl commun puis edito plus, de façon à ce que le fichier perturbant du zip 8.0 de cpl commun soit écrasé par son faux-frère inclus dans le zip edito plus 464 beta 2.

C'est ce que j'ai fait, j'ai bien écrasé le fichier de 8.0, mais j'ai quand même l'erreur.

Je sèche.

Merci de tes lumières.
Rectifié par kitkatryn le 29/03/2015 - 21h16
Rectifié par kitkatryn le 29/03/2015 - 21h17
Ecrire à kitkatryn   Site web kitkatryn Poster une réponse  Haut
Réponse n° 1
--------
le 30/03/2015 - 09h38
par tonton_christian

tonton_christian

Administrateur
332 messages
Bonjour Katryn,

En tout cas, tu as bien compris l'installation... c'est exactement ça!

Par contre, ça n'a aucun rapport avec le message d'erreur; s'il y avait eu une inversion dans l'installation des plugin, tu aurais éventuellement eu un message indiquant une fonction existante. Là, il indique la double déclaration d'une fonction et hier soir, n'ayant pas bien regardé le message, j'ai cherché où je pouvais l'avoir déclaré 2 fois, en vain.

Ce matin, je viens de me rendre compte que la double déclaration est dans le fichier plugin.inc; ce que je n'ai jamais fait. Donc, ton problème viens d'une mauvais installation: ce fichier est corrompu. J'ai reproduit le problème sur mon site de test (http://plugintest.christianlautier.fr) et j'ai le même message.

Il te faut donc réinstaller soit tout le plugin, soit le seul fichier /admin/plugin/editoplus/plugin.inc. Moi j'utilise gestplug et je n'ai pas de problèmes.


Réfléchis bien ... avant!

Ecrire à tonton_christian   Site web tonton_christian Poster une réponse  Haut
actif sujet actif   clos sujet clos   Important! Important!   Nouveau Nouveau message   -   Rectifier Rectifier message   Clôturer Clôturer sujet   Remonter Remonter
[]
Catégories de discussion  forum 




^ Haut ^